VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} FindBar 
   Caption         =   "Find"
   ClientHeight    =   1590
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4050
   OleObjectBlob   =   "FindBar.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "FindBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Slim Find Toolbar

Private Sub MatchCase_Click()
    With Selection.Find: .MatchCase = Not .MatchCase: End With
End Sub
Private Sub HighlightAll_Click()
    With Selection.Find: .Highlight = Not .Highlight: End With
End Sub
Private Sub UseWildcards_Click()
    With Selection.Find: .MatchWildcards = Not .MatchWildcards: End With
End Sub
Private Sub WholeWords_Click()
    With Selection.Find: .MatchWholeWord = Not .MatchWholeWord: End With
End Sub

Private Sub FormatBold_Click()
    With Selection.Find: .Font.Bold = wdToggle: End With
End Sub
Private Sub FormatItalic_Click()
    With Selection.Find: .Font.Italic = wdToggle: End With
End Sub
Private Sub FormatStrike_Click()
    With Selection.Find: .Font.StrikeThrough = wdToggle: End With
End Sub
Private Sub FormatUnderline_Click()     ' no wdToogle due to ...
    With Selection.Find
        If .Font.Underline = wdUnderlineNone Then
            .Font.Underline = wdUnderlineSingle       ' ... specific underline option to be defined
        Else
            .Font.Underline = wdUnderlineNone
        End If
    End With
End Sub

Private Sub SearchField_Change()
   If InStr(SearchField.Text, " ") Then
       SearchField.value = False
   End If
End Sub

Private Sub Up_Click()
    Dim Rng As Range: Set Rng = ActiveDocument.Range
'    Dim SearchField As String
'    Set InputText = SearchField.Text '.value
'    With Selection.Find: .Text = InputText: .Forward = False: .Wrap = wdFindStop: End With: Selection.Find.Execute
    Call SearchCode
    With Rng.Find: .Forward = False: .Wrap = wdFindStop: End With: Selection.Find.Execute
End Sub
Private Sub Down_Click()
    Dim Rng As Range: Set Rng = ActiveDocument.Range
    Call SearchCode
    With Rng.Find: .Forward = True: .Wrap = wdFindStop: End With: Selection.Find.Execute
End Sub

Private Sub SearchCode()
    Dim Rng As Range: Set Rng = ActiveDocument.Range
    Dim SearchField As String                           ':   Set SearchField.Text = SearchField.value
    Options.DefaultHighlightColorIndex = wdYellow
    If Len(Selection) > 0 Then Set Rng = Selection.Range
    With Rng.Find
        If Len(Selection) = 0 Then Exit Sub
         .ClearFormatting
   ' check options
        .MatchCase = MatchCase.value
        .MatchWildcards = UseWildcards.value
        .Highlight = HighlightAll.value
        .MatchWholeWord = WholeWords.value
    ' check formats
        .Font.Bold = FormatBold.value
        .Font.Italic = FormatItalic.value
        .Font.Underline = FormatUnderline.value
        .Font.StrikeThrough = FormatStrike.value
    ' search input
        .Text = SearchField.value
    ' find
        .Replacement.Highlight = True
        .Format = False
    End With
End Sub

